Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.service.impl.utility.model
Class Point

    java.lang.Object
      kieker.webgui.service.impl.utility.model.Point

    public class Point

extends Object

A simple 2-dimensional integer point, used for storing positions of any relevant graph component.

Author:
  Robin Weiss, Florian Fittkau

Constructor Summary
`Point()` Simple constructor, initializing both dimensions with zero.
`Point(float x, float y)` A constructor that rounds float values to the internal integer representation.
`Point(int x, int y)` A constructor that takes integer values for the coordinates.

Method Summary
`int` | `getX()`
`int` | `getY()`
`void` | `setValue(float x, float y)` Rounds two float values and stores the rounded integer values as new coordinates.
`void` | `setValue(int x, int y)` Stores two integer values as new coordinates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Point

    public Point()

  Simple constructor, initializing both dimensions with zero.

### Point

    public Point(float x,
                 float y)

  A constructor that rounds float values to the internal integer representation.

  Parameters:
    `x` - the unrounded x-coordinate
    `y` - the unrounded y-coordinate

### Point

    public Point(int x,
                 int y)

  A constructor that takes integer values for the coordinates.

  Parameters:
    `x` - the x-coordinate
    `y` - the y-coordinate

Method Detail

### getX

    public int getX()

  Returns:
    the x-coordinate of the `Point`

### getY

    public int getY()

  Returns:
    the y-coordinate of the `Point`

### setValue

    public void setValue(float x,
                         float y)

  Rounds two float values and stores the rounded integer values as new coordinates.

  Parameters:
    `x` - the unrounded x-coordinate
    `y` - the unrounded y-coordinate

### setValue

    public void setValue(int x,
                         int y)

  Stores two integer values as new coordinates.

  Parameters:
    `x` - the x-coordinate
    `y` - the y-coordinate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.